<?php
session_start();
require_once('../../conexion.php');
require_once('../../include/sesiones.php');
// Declaramos la librería
require  ('vendor/autoload.php');

$ordenar=$_POST['ordenar'];
$familia=$_POST['familia'];
if ($familia==0) {
    $query=mysqli_query($con,"SELECT * FROM articulos where empresa='$empresa' and art_tipo='articulo' and art_estado='Activo' ORDER BY $ordenar,art_referencia ASC ");
}
else
{
    $query=mysqli_query($con,"SELECT * FROM articulos where familias_fam_id='$familia' and empresa='$empresa' and art_tipo='articulo' and art_estado='Activo' ORDER BY $ordenar,art_referencia ASC ");
}


use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spread = new Spreadsheet();

$sheet = $spread->getActiveSheet();
$sheet->getStyle('A:Z')->getAlignment()->setHorizontal('center');/* centar contenido de celdas */
$sheet->mergeCells('A1:F1')->mergeCells('A2:F2');/*combinas celdas*/

function cellColor($cells,$color)/* FUNSION PARA COLORES DE CELDA*/
{
    global $sheet;

    $sheet->getStyle($cells)->getFill()
    ->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)
    ->getStartColor()
    ->setARGB($color);
}

cellColor('A2:F2', 'BDBDBD'); 
cellColor('A1:F1', 'BDBDBD'); 
cellColor('A3:F3', 'FF4D00'); 


$sheet->setCellValue('A1', 'REPORTE INVENTARIO')
            ->setCellValue('A2', '')
            ->setCellValue('A3', 'REF')
            ->setCellValue('B3', 'NOMBRE')
            ->setCellValue('C3', 'CANTIDAD')
            ->setCellValue('D3', 'CANTIDAD REAL')
            ->setCellValue('E3', 'PRECIO')
            ->setCellValue('F3', 'NOVEDAD');

            //Ancho de las columnas
$sheet->getColumnDimension('A')->setWidth(15);   
$sheet->getColumnDimension('B')->setWidth(40);  
$sheet->getColumnDimension('C')->setWidth(20); 
$sheet->getColumnDimension('D')->setWidth(20); 
$sheet->getColumnDimension('E')->setWidth(20);
$sheet->getColumnDimension('F')->setWidth(20);

    $cel=4;//Numero de fila donde empezara a crear  el reporte

 while ($roww=mysqli_fetch_array($query))

    {
        $art_id=$roww['art_id'];

        $sql2=mysqli_query($con, "SELECT * from articulos_has_bodegas   where bodegas='$bod_id' and empresa='$empresa' and articulos_art_id='$art_id'");
        $c=mysqli_fetch_array($sql2);
        $art_cantidad=$c['art_cantidad'];

        $a="A".$cel;
        $b="B".$cel;
        $c="C".$cel;
        $d="D".$cel;
        $e="E".$cel;
        $f="F".$cel;

         $sheet->setCellValue($a, $roww['art_referencia'])
        ->setCellValue($b, utf8_decode($roww['art_nombre']))
        ->setCellValue($c, $art_cantidad)
        ->setCellValue($d, '')
        ->setCellValue($e, number_format($roww['art_pvp'],0))
        ->setCellValue($f, '');

        $cel+=1;
}


// Redirigir la salida al navegador web de un cliente ( Excel5 )
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="REPORTE INVENTARIO.xlsx"');
header('Cache-Control: max-age=0');
// Si usted está sirviendo a IE 9 , a continuación, puede ser necesaria la siguiente
header('Cache-Control: max-age=1');

$writer = new Xlsx($spread);
$writer->save('php://output');
exit;
/*
$fileName="Descarga_excel.xlsx";
# Crear un "escritor"
$writer = new Xlsx($spread);
# Le pasamos la ruta de guardado

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment; filename="'. urlencode($fileName).'"');
$writer->save('php://output');
?>*/
?>